/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.tool.datamanipulator.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

/**
 * The base model interface for the DataManipulator service. Represents a row in the &quot;DM_DataManipulator&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link com.liferay.tool.datamanipulator.model.impl.DataManipulatorModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link com.liferay.tool.datamanipulator.model.impl.DataManipulatorImpl}.
 * </p>
 *
 * @author Tibor KovĂˇcs
 * @see DataManipulator
 * @see com.liferay.tool.datamanipulator.model.impl.DataManipulatorImpl
 * @see com.liferay.tool.datamanipulator.model.impl.DataManipulatorModelImpl
 * @generated
 */
public interface DataManipulatorModel extends BaseModel<DataManipulator> {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this interface directly. All methods that expect a data manipulator model instance should use the {@link DataManipulator} interface instead.
	 */

	/**
	 * Returns the primary key of this data manipulator.
	 *
	 * @return the primary key of this data manipulator
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this data manipulator.
	 *
	 * @param primaryKey the primary key of this data manipulator
	 */
	public void setPrimaryKey(long primaryKey);

	/**
	 * Returns the ID of this data manipulator.
	 *
	 * @return the ID of this data manipulator
	 */
	public long getId();

	/**
	 * Sets the ID of this data manipulator.
	 *
	 * @param id the ID of this data manipulator
	 */
	public void setId(long id);

	/**
	 * Returns the group ID of this data manipulator.
	 *
	 * @return the group ID of this data manipulator
	 */
	public long getGroupId();

	/**
	 * Sets the group ID of this data manipulator.
	 *
	 * @param groupId the group ID of this data manipulator
	 */
	public void setGroupId(long groupId);

	/**
	 * Returns the class name of this data manipulator.
	 *
	 * @return the class name of this data manipulator
	 */
	@AutoEscape
	public String getClassName();

	/**
	 * Sets the class name of this data manipulator.
	 *
	 * @param className the class name of this data manipulator
	 */
	public void setClassName(String className);

	/**
	 * Returns the class p k of this data manipulator.
	 *
	 * @return the class p k of this data manipulator
	 */
	public long getClassPK();

	/**
	 * Sets the class p k of this data manipulator.
	 *
	 * @param classPK the class p k of this data manipulator
	 */
	public void setClassPK(long classPK);

	public boolean isNew();

	public void setNew(boolean n);

	public boolean isCachedModel();

	public void setCachedModel(boolean cachedModel);

	public boolean isEscapedModel();

	public Serializable getPrimaryKeyObj();

	public void setPrimaryKeyObj(Serializable primaryKeyObj);

	public ExpandoBridge getExpandoBridge();

	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	public Object clone();

	public int compareTo(DataManipulator dataManipulator);

	public int hashCode();

	public CacheModel<DataManipulator> toCacheModel();

	public DataManipulator toEscapedModel();

	public DataManipulator toUnescapedModel();

	public String toString();

	public String toXmlString();
}