/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.tool.datamanipulator.datatype.organization;

import com.liferay.portal.kernel.exception.PortalException;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.tool.datamanipulator.entry.BaseEntry;
import com.liferay.tool.datamanipulator.entry.EntryTypeKeys;
import com.liferay.tool.datamanipulator.entryreader.EntryTypeReader;
import com.liferay.tool.datamanipulator.entryreader.util.EntryReaderUtil;
import com.liferay.tool.datamanipulator.handler.entryhandler.model.EntryHandlerModel;
import com.liferay.tool.datamanipulator.handler.portlethandler.AbstractPortletHandler;
import com.liferay.tool.datamanipulator.handler.portlethandler.model.PortletHandlerModel;
import com.liferay.tool.datamanipulator.requestprocessor.RequestProcessor;

/**
 * @author Tibor Kovcs
 *
 */
public class OrganizationHandler extends AbstractPortletHandler
	implements PortletHandlerModel {

	/* (non-Javadoc)
	 * @see com.liferay.tool.datamanipulator.handler.portlethandler.model.PortletHandlerModel#startErase(com.liferay.tool.datamanipulator.requestprocessor.RequestProcessor)
	 */

	@Override
	public void startErase(RequestProcessor requestProcessor)
		throws PortalException, SystemException {

		// TODO Auto-generated method stub

	}

	/* (non-Javadoc)
	 * @see com.liferay.tool.datamanipulator.handler.portlethandler.model.PortletHandlerModel#startGenerate(com.liferay.tool.datamanipulator.requestprocessor.RequestProcessor)
	 */

	@Override
	public void startGenerate(RequestProcessor requestProcessor)
		throws PortalException, SystemException {

		int organizationCount = requestProcessor.getCount(
			EntryTypeKeys.PORTAL_ORGANIZATION);

		int organizationDepth = requestProcessor.getDepth(
			EntryTypeKeys.PORTAL_ORGANIZATION);

		int organizationUpdate = requestProcessor.getUpdateLevel(
			EntryTypeKeys.PORTAL_ORGANIZATION);

		int organizationSubCount = requestProcessor.getSubCount(
			EntryTypeKeys.PORTAL_ORGANIZATION);

		EntryTypeReader organizationEntryType = EntryReaderUtil.getEntryType(
			EntryTypeKeys.PORTAL_ORGANIZATION);

		BaseEntry organizationEntry = new BaseEntry(organizationEntryType);

		EntryHandlerModel organizationHandler = new OrganizationEntryHandler(
			organizationCount, organizationUpdate, organizationDepth,
			organizationSubCount, organizationEntry, null, requestProcessor);

		organizationHandler.generateEntries((long)0);
	}

}